import React from 'react';
import store from '@/store';

export default function withLogin(factory) {
  return new Promise(resolve => {
    const {user, getCurrentUser} = store.getState('user');
    const loged = user && (user.userId || user.id);
    if (loged) {
      resolve(factory);
    } else {
      getCurrentUser().then(() => {
        resolve(factory);
      }).catch((e) => {
        console.error(e)
        resolve(import('./RedirectLogin'));
      });
    }
  });
}
